/** GRILLE MVC **/

:root {
    --main-color: #006e7b;
    --dark-main-color: #1f4549;
    /* zone carac livraison cere */
    --bg-header-grid: #eff8fa;
    --border-grid: #dee2e6;
    --bg-group-row: #d7eaee;
    --bg-hover-row: #e7edef;
    --bg-group-row-campagne: #bad9de;
    /* si pas de selecteur de campagne */
    --bg-group-footer: #edf5f6;
    /* cas zone cumul sur recap apport */

    --bg-hover-btn: #ced3db;
    --border-double-header-grid: #dce4e6;
    /* cas des grilles avec double entete comme reap apport  */

    --bg-grid-compact-even-group-row: #e7efef;
    /* cas affichage grille compacter */


    --font-family-grid: "Open Sans", Arial, Verdana, sans-serif;
    --dark-font: #333;
    --grey-font: #6a6a6a;

    --background-test: #f9faff;

}


/**/

.gridExtranetMVCWrapper {
    margin: 1rem 0;
}

.gridExtranetMVCWrapper .k-widget {
    font-family: var(--font-family-grid);
}

.gridExtranetMVCWrapper p {
    padding: 0;
    margin: 0;
}

/*** slection camapgne **/

.selectCampagneGrid {
    background: #eee;
    padding: 1rem;
    text-align: center;
    margin-bottom: 1rem;
    border: 1px solid #e5e5e5;
}

span.labelSelectCampagneGrid {
    font-style: italic;
    display: inline-block;
    vertical-align: middle;
    text-align: right;
    padding: 0.5rem;
}

.anneeCampagneGrid.k-button-group {
    flex-wrap: wrap;
    justify-content: center;
}

.gridExtranetMVCWrapper .selectCampagneGrid .k-button {
    background: #fff;
    border-radius: 25px;
    font-weight: bold;
    font-size: 0.8rem;
}

.selectCampagneGrid .k-button.k-selected {
    background: var(--main-color);
    color: #fff;
}

.selectCampagneGrid span.k-button-text:after {
    content: "";
    display: block;
    margin: 0 auto 0.4rem;
    width: 15px;
    height: 2px;
    border-radius: 2px;
    margin: 0 auto 0.1rem;
}

.selectCampagneGrid .k-selected span.k-button-text:after {
    background: #fff;
}

.selectCampagneGrid .k-button {
    border-radius: 11%;
    border: transparent;
    background: transparent;
    padding: 0.5rem 0.8rem;
}

/* toolbar : zone de bouton entete grile */

.gridExtranetMVCWrapper .k-toolbar.k-grid-toolbar {
    border-width: 0;
    background: transparent;
}


.gridExtranetMVCWrapper .toolbarContainerGrid.k-toolbar {
    display: flex;
    justify-content: space-between;
    border: none;
    background: transparent;
    margin-bottom: 0.5rem;
    flex-wrap: wrap;
}

.gridExtranetMVCWrapper .toolbarContainerGrid::before {
    display: none;
}

.toolbarContainerGrid .k-button-group {
    justify-content: center;
    align-items: center;
}

.exportGrid .k-button {
    padding: 0.4rem;
    gap: 0;
    margin: 0 0.5rem;
    background: #fff;
}

.triGrid .k-button {
    margin: 0 0.5rem;
    border-radius: 10px !important;
    text-transform: uppercase;
    font-size: 0.8rem;
    font-weight: 600;
}

.triGrid .k-button.k-selected {
    background: var(--main-color);
    color: #fff;
}

.exportGrid .k-button {
    font-size: 0;
}

/** boutons export seuls dans toolbar **/


.gridExtranetMVCWrapper .toolbarContainerGrid.toolbarContainerGridExportSolo {
    justify-content: end;
}


/** toolbar avec searchbox ***/

.toolbarContainerSearchBox {
    width: 100%;
}

.toolbarContainerSearchBox .exportGridWrapper {
    margin: 0 0 0 auto;
}

/* bouton compacter agrandir et filtre non soldes et bouton voir tout le stock */

.detailGrid.k-button,
.filtreNonSolde.k-button,
.viewAllStock.k-button {
    background: #fff;
    text-transform: uppercase;
    font-size: 0.8rem;
}

.detailGrid span.k-button-text:before,
.filtreNonSolde span.k-button-text:before,
.viewAllStock span.k-button-text:before {
    content: "";
    -webkit-mask: url(../Images/Grille/collapse.svg) no-repeat center;
    mask: url(../Images/Grille/collapse.svg) no-repeat center;
    width: 12px;
    height: 12px;
    margin-right: 5px;
    background-size: contain;
    display: inline-block;
    background-color: #727272;
}


.detailGrid span.detaillergrid:before {
    -webkit-mask: url(../Images/Grille/expend.svg) no-repeat center;
    mask: url(../Images/Grille/expend.svg) no-repeat center;
}

.filtreNonSolde span.k-button-text:before,
.viewAllStock span.k-button-text:before {
    -webkit-mask: url(../Images/Grille/eye-slash.svg) no-repeat center;
    mask: url(../Images/Grille/eye-slash.svg) no-repeat center;
}

.filtreNonSolde.soldes-caches span:before {
    -webkit-mask: url(../Images/Grille/eye.svg) no-repeat center;
    mask: url(../Images/Grille/eye.svg) no-repeat center;
}



/** label tri et export  **/

.toolbarContainerGrid label {
    font-size: 0.7rem;
    font-weight: bold;
    font-family: var(--font-family-grid);
    text-align: left;
    text-transform: uppercase;
    padding-left: 0.5rem;
    margin-right: 0.3rem;
    background: transparent;
    border: none;
    cursor: default;
    pointer-events: none;
}

/* recherche */

.toolbarContainerGrid .k-searchbox .k-input-icon {
    padding-left: 0.5rem;
}

/* sort -page stock tc */

.gridExtranetMVCWrapper .k-grid-header .k-sort-order {
    display: none;
}


/* grille */

/* img **/

.gridExtranetMVCWrapper .k-i-collapse::before {
    content: "\e015";
}

.gridExtranetMVCWrapper .k-i-expand::before {
    content: "\e014";
}

/* entete grille */

.gridExtranetMVCWrapper .k-grid-header {
    font-weight: bold;
    background: var(--bg-header-grid);
    color: var(--main-color);
    border-bottom: 1px solid var(--main-color);
    border-top: 1px solid var(--main-color);
    padding-right: 0 !important;
    /** padding pour scroll non present dans grille **/
}

.gridCompact tr:nth-child(even of .k-grouping-row.k-grouping-row-base) {
    background: var(--bg-grid-compact-even-group-row);
}

.gridExtranetMVCWrapper .k-grid-header .k-header {
    text-align: center;
    vertical-align: middle;
    font-weight: bolder;
    border: none;
    white-space: break-spaces;
}

.gridExtranetMVCWrapper .k-grid-header .k-auto-scrollable {
    border-right: none;
}

/*.gridExtranetMVCWrapper .k-grid-header th {
    border-color: #b4c3c5;
}*/

.gridExtranetMVCWrapper .k-grid-header table {
    empty-cells: hide !important;
}

/** groupe row **/

.gridExtranetMVCWrapper .k-grouping-row {
    background: var(--bg-group-row);
}

.gridExtranetMVCWrapper .k-grouping-row td {
    font-weight: 600;
}

.gridExtranetMVCWrapper .pdfLinkSpan {
    display: inline-block;
    vertical-align: middle;
}

.gridExtranetMVCWrapper .pdfLinkSpan.gridExtranetMVCWrapper .pdfLinkSpan img {
    margin-right: 0.2rem;
}

.gridExtranetMVCWrapper .k-grouping-row-base .k-group-cell,
.gridExtranetMVCWrapper .k-grouping-row-base td {
    border-width: 0;
}

/*** group row **/

.k-grid .k-grouping-row-base p.k-reset,
.k-grid .k-grouping-row-campagne p.k-reset {
    display: inline-block;
}

.k-grouping-row-base-child {
    width: calc(100% - 25px);
    display: inline-flex;
    align-items: center;
}

.k-grouping-row-base .divInfosLeft,
.k-grouping-row-base .divInfosCenter,
.k-grouping-row-base .divInfosRight {
    flex-grow: 1;
    flex-shrink: 1;
}

.k-grouping-row-base .divInfosLeft {
    flex-basis: 100%;
}

.k-grouping-row-base .divInfosLeft:has(+ .divInfosRight),
.k-grouping-row-base .divInfosLeft+.divInfosRight {
    flex-basis: 50%;
}

.k-grouping-row-base .divInfosLeft:has(+ .divInfosCenter),
.k-grouping-row-base .divInfosCenter,
.k-grouping-row-base .divInfosCenter+.divInfosRight {
    flex-basis: 33%;
}

.k-grouping-row-base .divInfosRight {
    text-align: right;
}

/** groupe row affichage de la campagne **/

.gridExtranetMVCWrapper .k-grouping-row-campagne {
    background: var(--bg-group-row-campagne);
}


/*** grille **/

.gridExtranetMVCWrapper .k-grid .k-alt {
    background-color: rgba(0, 0, 0, .05);
}

.gridExtranetMVCWrapper .k-group-cell {
    background: transparent;
    border-width: 1px 0 1px 0;
    border-width: 0;
}


.gridExtranetMVCWrapper .k-master-row td {
    border-width: 1px 0;
}

.gridExtranetMVCWrapper .k-grouping-row+tr .k-group-cell {
    border-top-width: 1px !important;
}


/** grille version ligne gauche droite ***/

.gridExtranetMVCWrapper .k-master-row td.k-group-cell:first-of-type,
.gridExtranetMVCWrapper .k-master-row td.k-group-cell:nth-child(2) {
    border-width: 0 0 1px;
}

.gridExtranetMVCWrapper .k-master-row td {
    border-width: 0 1px 1px 0;
}

/** cacher le row date qui ne sert pas **/

.gridExtranetMVCWrapper .k-grouping-row-date {
    display: none;
}

/* grille hover */

.gridExtranetMVCWrapper .k-grid tbody>tr:not(.k-detail-row).k-hover,
.gridExtranetMVCWrapper .k-grid tbody>tr:not(.k-detail-row):hover {
    background: var(--bg-hover-row);
}

/* detail row */

.gridExtranetMVCWrapper .k-detail-row {
    background: #fafafa;
}

.gridExtranetMVCWrapper .k-detail-row.k-alt {
    background: #eaeaea;
}

.gridExtranetMVCWrapper .k-detail-row td.k-hierarchy-cell {
    border-width: 0;
}

.gridExtranetMVCWrapper .k-detail-row td.k-hierarchy-cell,
.gridExtranetMVCWrapper .k-detail-row td.k-group-cell,
.gridExtranetMVCWrapper .k-grid .k-detail-row .k-detail-cell {
    border-bottom-width: 1px;
}

.gridCellInfos {
    color: var(--dark-main-color);
}


/* span legende */


.gridExtranetMVCWrapper .legendGridWrapper {
    display: inline-block;
    font-style: italic;
    padding: 0.2rem 0.5rem;
}

.gridExtranetMVCWrapper .legendGridLabel {
    font-weight: normal;
}

/** champ group row **/

.legendGridValueSmall {
    font-weight: 500;
    font-size: 0.8rem;
}

.k-grouping-row-base .legendGridLabel {
    font-weight: 350;
}


/*pager*/


.gridExtranetMVCWrapper .k-grid-pager {
    justify-content: center;
}

.gridExtranetMVCWrapper .k-pager-numbers .k-link.k-selected {
    background: var(--main-color);
    border-color: var(--main-color);
}

.gridExtranetMVCWrapper .k-pager-numbers .k-link,
.gridExtranetMVCWrapper .k-pager-nav.k-link,
.k-pager-refresh {
    color: #3e3e3e;
}

.gridExtranetMVCWrapper .k-icon:focus,
.k-icon:hover {
    color: #3e3e3e;
}

.k-pager-info.k-label {
    display: none;
}

/**/

.gridExtranetMVCWrapper .k-grid {
    border: none;
    background: transparent;
}

.gridExtranetMVCWrapper .k-grid-content {
    overflow-y: auto;
    border-left: 1px solid var(--border-grid);
    background: #fff;
}


/** grille livraison cere ****/

.gridExtranetMVCWrapper .caracs {
    text-align: center;
}

.gridLivraisonsCereWrapper.gridExtranetMVCWrapper .k-grid .k-alt {
    background-color: rgba(0, 0, 0, .07);
}

.gridLivraisonsCereWrapper.gridExtranetMVCWrapper .k-detail-row.k-alt {
    background: #eaeaea;
}

/* style mobile */

.fieldWrapperGridMobile {
    display: flex;
    flex-wrap: wrap;
}

.fieldGridMobile {
    flex-basis: 50%;
    flex-grow: 1;
    flex-shrink: 1;
}

span.fieldGridMobileLabel {
    display: inline-block;
    padding: 0.2rem;
    font-size: 0.8rem;
}

span.fieldGridMobileValue {
    font-weight: 600;
    display: inline-block;
    padding: 0.2rem;
}


.itemTitleGridMobile {
    display: flex;
    justify-content: center;
    align-items: center;
}

.titleGridMobile {
    padding: 0.2rem 0.2rem;
}

.titleGridMobile:first-of-type {
    display: flex;
    justify-content: center;
    align-items: center;
}

.titleGridMobile img {
    padding-right: 0.5rem;
}

/** releve de compte **/

.gridReleveCompteWrapper .k-datepicker {
    width: calc(50% - 1rem);
    margin-bottom: 0.7rem;
}

.gridReleveCompteWrapper .k-datepicker:first-of-type {
    margin-right: 1rem;
}

/** entete double colonne recap apport et balance agee et stock tc **/

.gridRecapApportsWrapper .k-grid-header tr:first-of-type .k-header,
.gridStocksApproWrapper .k-grid-header tr:first-of-type .k-header {
    border-left: 1px solid var(--border-double-header-grid);
}

.gridRecapApportsWrapper .k-grid-header tr:first-of-type .k-header:nth-of-type(2) {
    border-left: none;
}

.k-grid-balance-agee .k-grid-header tr:first-of-type .k-header {
    border-right: 1px solid var(--border-double-header-grid);
}

.gridRecapApportsWrapper .k-grid-header tr:nth-of-type(2) .k-header,
.k-grid-balance-agee .k-grid-header tr:nth-of-type(2) .k-header,
.gridStocksApproWrapper .k-grid-header tr:nth-of-type(2) .k-header {
    font-size: 0.75rem;
    border-left: 1px solid var(--border-double-header-grid);
    border-top: 1px solid var(--border-double-header-grid);
}

.gridRecapApportsWrapper .k-grid-header tr:nth-of-type(2) .k-header {
    padding: 0 0.5rem;
}


/* recap apprort style mobile **/

.colGridMobileTitle {
    font-weight: bold;
    color: var(--main-color);
}

.fieldWrapperColGridMobile .colGridMobile {
    flex-basis: 50%;
}

.fieldWrapperColGridMobile .colGridMobile:first-of-type {
    margin-right: 0.5rem;
    flex-basis: calc(50% - 0.6rem);
}


/* zone de cumul footer grid recap apport */

.gridExtranetMVCWrapper .k-grid tr.k-group-footer,
.gridExtranetMVCWrapper .k-grid .k-group-footer td {
    background: var(--bg-group-footer);
}

.gridExtranetMVCWrapper .k-grid tr.k-group-footer .k-group-cell {
    border: none;
}

.gridExtranetMVCWrapper .k-grid .k-group-footer .k-group-cell+td {
    border-left-width: 0;
}

.gridExtranetMVCWrapper .k-grid .k-group-footer td {
    border: none;
}

/** lien grille encours tc **/

.linkGridTxt {
    font-weight: 400;
    color: var(--main-color);
}

.linkGridTxt:hover {
    text-decoration: underline;
}

/** footer grille **/

.gridExtranetMVCWrapper .k-grid-footer {
    display: none;
}

/* grille stock tc */

.gridStocksApproWrapper .titleGridMobileStock {
    font-style: italic;
    flex-wrap: wrap;
    text-align: center;
}

.gridStocksApproWrapper .fieldGridMobileProduit {
    flex-basis: 100%;
}

.gridStocksApproWrapper .fieldGridMobileProduit .fieldGridMobileValue {
    font-weight: 800;
}


/****************/
/* responsive  */

@media (max-width: 849px) {

    .gridExtranetMVCWrapper td.k-group-cell,
    .gridExtranetMVCWrapper td.k-hierarchy-cell {
        display: none;
    }

    .gridExtranetMVCWrapper .k-grid-header {
        display: none;
    }

    .gridExtranetMVCWrapper .k-grid-balance-agee .k-grid-header,
    .gridEnCoursTCWrapper .k-grid-header,
    .gridResteDepotTC .k-grid-header {
        display: flex;
    }

    .gridExtranetMVCWrapper .k-detail-row {
        display: none !important;
    }

    /** recap apport **/

    .gridRecapApportsWrapper .k-grid tr.k-group-footer {
        display: none;
    }

    /** livraison cere **/

    .gridLivraisonsCereWrapper .k-detail-row {
        display: table-row !important;
    }

    .gridLivraisonsCereWrapper .k-grid .k-detail-row:not(:last-of-type) .k-detail-cell {
        border-bottom-width: 2px;
        border-bottom-color: #ced3d8;
        padding-bottom: 0.8rem;
    }
}

@media (max-width: 769px) {

    /* sleection campagne */

    .selectCampagneGrid {
        padding: 0.5rem;
        margin-bottom: 0.5rem;
    }

    span.labelSelectCampagneGrid {
        font-size: 0.8rem;
        padding: 0.2rem 0.5rem 0.5rem;
    }

    .gridExtranetMVCWrapper .selectCampagneGrid .k-button {
        margin: 0.15rem 0.3rem;
        padding: 0.2rem 0.5rem 0.1rem;
        border-radius: 15px;
        font-weight: 600;
    }

    .selectCampagneGrid .k-button-group .k-button:not(:first-child):not(:last-child) {
        border-start-end-radius: 15px;
        border-end-end-radius: 15px;
        border-start-start-radius: 15px;
        border-end-start-radius: 15px;
    }

    .selectCampagneGrid .k-button-group>.k-button:first-child:not(:only-child) {
        border-start-end-radius: 15px;
        border-end-end-radius: 15px;
    }

    .selectCampagneGrid .k-button-group>.k-button:last-child:not(:only-child) {
        border-start-start-radius: 15px;
        border-end-start-radius: 15px;
    }

    /* bouton entete*/
    .gridExtranetMVCWrapper .toolbarContainerGrid.k-toolbar {
        padding: 0.5rem 0;
    }

    .toolbarContainerGrid label {
        display: none;
    }

    .triGridWrapper {
        margin: 0 auto;
    }

    .detailGrid.k-button {
        padding: .5rem .5rem;
    }

    .detailGrid span.k-button-text {
        font-size: 0;
    }

    .detailGrid span.k-button-text:before {
        margin-right: 0;
    }

    /* bouton cacher afficher solde  et afficher tout le stock **/
    .filtreNonSolde.k-button {
        margin-top: 0.3rem
    }

    .filtreNonSolde span.k-button-text {
        font-size: 0.6rem;
    }

    .filtreNonSolde span.k-button-text:before {
        vertical-align: middle;
        margin-bottom: 1px;
    }


    /**/
    .k-grouping-row-base .divInfosLeft,
    .k-grouping-row-base .divInfosCenter,
    .k-grouping-row-base .divInfosRight {
        width: 100%;
    }

    .itemGridMobile .fieldGridValue {
        font-weight: bold;
    }

    .itemGridMobile .fieldGridLabel {
        font-size: 0.75rem;
        text-transform: uppercase;
        padding-right: 0.2rem;
    }

    .itemTitleGridMobile {
        margin-bottom: 0.5rem;
    }

    .fieldGridWrapper {
        display: flex;
        justify-content: space-between;
    }

    /** group row special livraison cere**/

    .k-grouping-row-base-child:has(.divInfosCenter) {
        flex-direction: column;
        text-align: center;
    }

    .k-grouping-row-base .divInfosCenter+.divInfosRight {
        text-align: center;
    }
}


@media (max-width: 430px) {

    /* bouton toolbar*/
    .toolbarContainerGrid .k-toolbar-item:first-of-type {
        width: 100%;
    }

    .triGrid .k-button {
        margin: 0 0.25rem;
        padding: .3rem .5rem;
    }

    /* group row */
    .k-grouping-row-base-child {
        flex-direction: column;
    }

    /* carac livraison */
    .gridExtranetMVCWrapper .legendGridWrapper {
        padding: 0 0.2rem;
        font-size: 0.85rem;
    }

    /* boutons export seul dans toolbar **/
    .gridExtranetMVCWrapper .toolbarContainerGridExportSolo .k-toolbar-item {
        text-align: right;
        display: block;
    }
}

/*******************************/
/******** GRILLE ACTURA ********/


.gridActuraReleveCompteWrapper .k-grid td:first-child,
.gridActuraReleveCompteWrapper .k-grid th:first-child {
    border-right-width: 0;
}

/**/

/* responsive  */

@media (max-width: 849px) {

    .gridActuraEnCoursWrapper .k-grid-content {
        border-top: 1px solid #cdcdcd;
    }

}

/***************************/
/***************************/
/****** GRILLE WORKFLOW *****/

/**/

.gridWorkflow .rgMasterTable {
    font-family: "Open Sans", Arial, Verdana, sans-serif;
    font-weight: 300;
}

.wrapperGridWorkflow .rgNoRecords div {
    padding: 0 0.5rem;
    font-size: 0.9rem;
}

/* comportement mobile */

.wrapperGridWorkflow .gridWorkflow {
    overflow: auto;
    max-width: 100%;
}

/** grid workflow  entete **/

.wrapperGridWorkflow .RadGrid_MetroTouch th.rgHeader {
    font-weight: bold;
    background: var(--bg-header-grid);
    border-top: 1px solid var(--main-color);
    border-bottom: 1px solid var(--main-color);
    text-align: center;
}

.wrapperGridWorkflow .RadGrid_MetroTouch th.rgHeader,
.wrapperGridWorkflow .RadGrid_MetroTouch th.rgHeader a {
    color: var(--main-color);
    font-weight: bold;
}

.headerGridWorkflow {
    display: flex;
    justify-content: space-between;
    margin: 1rem 0;
    flex-wrap: wrap;
}

.headerGridWorkflow .btnExporter.RadButton.rbSkinnedButton input.rbDecorated {
    background-image: url(../Images/Icones/export.svg);
    background-size: 10px;
    background-repeat: no-repeat;
    background-position: center;
    padding: 1rem;
    background-position: 5px center;
    padding: 0.2rem 0.5rem 0.2rem 20px;
    font-size: 0.9rem;
    font-weight: 400;
    color: #2c2c2c;
}

.headerGridWorkflow .filtresDates,
.headerGridWorkflow .btnExporter.btnGridWorkflow {
    margin: 0.5rem;
}

/** tr td **/

.gridWorkflow td:first-of-type {
    /*font-weight: 650;*/
    color: var(--main-color);
    font-weight: 500;
}

.gridWorkflow td:last-of-type {
    /* font-weight: 300; */
    /* font-weight: 500; */
    font-style: italic;
    font-weight: bold;
}

.gridWorkflow .rgMasterTable td {
    font-size: 0.95rem;
    text-align: center;
}

.gridWorkflow .rgAltRow,
.gridWorkflow .rgAltRow+tr:not(.rgRow) {
    background-color: rgba(0, 0, 0, .05);
}

.gridWorkflow .rgMasterTable tr:hover,
.gridWorkflow .rgAltRow+tr:not(.rgRow):hover {
    background: var(--bg-hover-row);
}

/*** detail grid workflow ***/

.wrapperGridWorkflow .rgDetailTable {
    padding: 0.5rem;
    border: none;
}

.wrapperGridWorkflow .rgDetailTable table {
    width: 100% !important;
}

.wrapperGridWorkflow .rgDetailTable table th {
    color: var(--main-color);
    font-weight: bold;
    background: var(--bg-header-grid);
    border-color: #c8c8c8 !important;
    padding: 0;
}

.wrapperGridWorkflow .rgDetailTable table td {
    color: var(--dark-font);
}

.wrapperGridWorkflow .rgMasterTable tr .rgExpandCol+td {
    color: var(--main-color);
    font-weight: 500;
}

.wrapperGridWorkflow td.rgExpandCol {
    background: transparent;
    border: none;
}

.wrapperGridWorkflow .rgRow+tr:not(:last-child)>td,
.wrapperGridWorkflow .rgAltRow+tr:not(:last-child)>td {
    border-bottom: 1px solid #d7d7d7;
}

/** grif worflow contrat prix objectif bouton edit/validatate ****/

.wrapperGridWorkflow .viewPrixObj .RadButton:before,
.wrapperGridWorkflow .editPrixObj .RadButton:before {
    content: "\e10b";
    width: 1rem;
    height: 1rem;
    font-size: 16px;
    font-family: WebComponentsIcons;
    font-style: normal;
    line-height: 1;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-flow: row nowrap;
    flex-flow: row nowrap;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    vertical-align: middle;
    position: relative;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
}

.wrapperGridWorkflow .editPrixObj .RadButton:before {
    content: "\e118";
}

.wrapperGridWorkflow .viewPrixObj .RadButton,
.wrapperGridWorkflow .editPrixObj .RadButton {
    font-size: 0;
    border-color: #e4e7eb;
    color: #212529;
    background-color: #e4e7eb;
    border-radius: .25rem;
}

.wrapperGridWorkflow .viewPrixObj .RadButton{
    margin-left: 0.2rem;
}

.wrapperGridWorkflow .editPrixObj .RadButton {
    border-color: var(--border-grid);
    color: #fff;
    background-color: var(--main-color);
    
}
.wrapperGridWorkflow .viewPrixObj .RadButton:hover,
.wrapperGridWorkflow .editPrixObj .RadButton:hover{
    background-color: #ffffff
}

.wrapperGridWorkflow .editPrixObj .riTextBox{
    height: 28px;
    line-height: 28px;
}

.wrapperGridWorkflow .editPrixObj .riSingle{
        width: 80px!important;
        line-height: 1rem;
}



/** grid workflow affichees en card (alerte) ***/

.wrapperCardGridWorkflow .radAjaxPanelWorkflows {
    display: flex;
    flex-wrap: wrap;
}

.wrapperCardGridWorkflow .itemWorkflow {
    flex-basis: calc(25% - 2rem);
    margin: 1rem;
    background: #ffffff;
    padding: 1rem;
    border-radius: 4px;
}

.wrapperCardGridWorkflow .titleWorkflow {
    padding: 0.2rem;
    font-size: 0.8rem;
}

.wrapperCardGridWorkflow .dataWorkflow {
    font-weight: 600;
    padding: 0.2rem;
    font-size: 0.9rem;
}

/** workflow liste des alertes **/

.wrapperAlertes .titleAlertWorklow .dataWorkflow {
    font-weight: 700;
    font-size: 1rem;
    text-align: center;
    display: block;
    margin-bottom: 0.5rem;
}

.wrapperAlertes .titleAlertWorklow .titleWorkflow {
    display: none;
}

.wrapperAlertes .smsAlertWorklow .titleWorkflow,
.wrapperAlertes .emailAlertWorklow .titleWorkflow,
.wrapperAlertes .notifAlertWorflow .titleWorkflow {
    min-width: 45px;
    display: inline-block;
}

.wrapperAlertes .editWorkflow .titleWorkflow {
    display: block;
}

.wrapperAlertes .itemWorkflow .creationAlertWorflow {
    margin: 0.5rem 0;
}

/* crée le */


/** worklow signature document **/

.wrapperSignatureDeDocuments .titleWorkflow {
    font-weight: 600;
    font-size: 0.9rem;
}

.wrapperSignatureDeDocuments .dataWorkflow {
    font-weight: normal;
}

@media (max-width: 769px) {

    /* card gestion alerte */

    .wrapperCardGridWorkflow .itemWorkflow {
        flex-basis: 100%;
    }

}

/* grid card alert */

.listAlertMVCWrapper .k-listview {
    background: transparent;
    border: none;
}

.listAlertMVCWrapper .card-header {
    justify-content: end;
    margin-bottom: 0.3rem;
}

.listAlertMVCWrapper .alert-card.inactive, .listAlertMVCWrapper .alert-card.active {
    background-color: #fff;
    /*box-shadow: 0 3px 3px 0 rgba(0, 0, 0, 0.05), 0 5px 15px 0 rgba(0, 0, 0, 0.05);*/
    box-shadow: none;
    border: 1px solid #E6E6E6;
    border-radius: 8px;
    padding: 1.5rem 1.25rem 1rem 1.25rem;
}

.listAlertMVCWrapper .echeanceAlert {
    font-size: 0.95rem;
    color: var(--grey-font);
    font-style: italic;
    margin-bottom: 0.8rem;
}

.listAlertMVCWrapper .triggerAlert {
    font-style: italic;
    margin: 0 auto 0 0;
}

.listAlertMVCWrapper .triggerAlert strong {
    font-weight: normal;
}

.listAlertMVCWrapper .edit {
    background-color: var(--main-color);
    margin-left: 0.5rem;
}

.listAlertMVCWrapper .channel.active {
    color: var(--main-color);
    background: var(--bg-header-grid);
}


.listAlertMVCWrapper .card-body,
.listAlertMVCWrapper .card-actions {
    margin-top: 0;
}

.listAlertMVCWrapper .conditionAlert{
    margin-bottom: 0;
}


.listAlertMVCWrapper .infoEditAlert {
    margin: 0.8rem 0 0.5rem;
}

.listAlertMVCWrapper .infoEditAlert .phoneEditAlert {
    margin-bottom: 0.5rem;
}

.listAlertMVCWrapper .infoEditAlert .textbox-wrapper {
    width: 100%;
}

.listAlertMVCWrapper .conditionEditAlert .operatorList {
    margin: 0.5rem;
    background: #f9faff;
}


.listAlertMVCWrapper .k-update-button {
    background-color: var(--main-color);
    color: white;
}


.listAlertMVCWrapper .btnWrapperEditAlert {
    display: flex;
    gap: 10px;
    margin-top: 1rem;
}

.listAlertMVCWrapper .btnWrapperEditAlert .k-button {
    flex-basis: 50%;
}


@media (max-width: 640px) {
    .listAlertMVCWrapper .triggerAlert {
        margin-bottom: 1rem;
    }

    .listAlertMVCWrapper .card-header {
        align-items: baseline;
    }
}